Skip to main content
POST
/
hotels
/
offers
Retrieve rates for hotels
curl --request POST \
  --url https://api.staging.rovemiles.com/functions/v1/hotels/offers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "hotelIds": [
    "hotel123",
    "hotel456",
    "hotel789"
  ],
  "checkin": "2023-12-15",
  "checkout": "2023-12-20",
  "occupancies": [
    {
      "adults": 2,
      "children": [
        5,
        9
      ]
    }
  ],
  "guestNationality": "US",
  "maxRatesPerHotel": 5,
  "refundableRatesOnly": false
}
'
{
  "data": [
    {
      "hotelId": "<string>",
      "roomTypes": [
        {
          "roomTypeId": "<string>",
          "offerId": "<string>",
          "supplier": "<string>",
          "supplierId": 123,
          "rates": [
            {
              "rateId": "<string>",
              "occupancyNumber": 123,
              "name": "<string>",
              "maxOccupancy": 123,
              "adultCount": 123,
              "childCount": 123,
              "boardType": "<string>",
              "boardName": "<string>",
              "remarks": "<string>",
              "priceType": "commission",
              "commission": [
                {
                  "amount": 123,
                  "currency": "<string>"
                }
              ],
              "retailRate": {
                "total": [
                  {
                    "amount": 123,
                    "currency": "<string>"
                  }
                ],
                "suggestedSellingPrice": [
                  {
                    "amount": 123,
                    "currency": "<string>",
                    "source": "<string>"
                  }
                ],
                "initialPrice": [
                  {
                    "amount": 123,
                    "currency": "<string>"
                  }
                ],
                "taxesAndFees": [
                  {
                    "included": true,
                    "description": "<string>",
                    "amount": 123,
                    "currency": "<string>"
                  }
                ]
              },
              "cancellationPolicies": {
                "cancelPolicyInfos": [
                  {
                    "cancelTime": "2023-11-07T05:31:56Z",
                    "amount": 123,
                    "currency": "<string>",
                    "type": "<string>",
                    "timezone": "<string>"
                  }
                ],
                "hotelRemarks": [
                  "<string>"
                ],
                "refundableTag": "<string>"
              }
            }
          ],
          "offerRetailRate": {
            "amount": 123,
            "currency": "<string>"
          },
          "suggestedSellingPrice": {
            "amount": 123,
            "currency": "<string>",
            "source": "<string>"
          },
          "offerInitialPrice": {
            "amount": 123,
            "currency": "<string>"
          },
          "priceType": "commission",
          "rateType": "standard"
        }
      ]
    }
  ],
  "guestLevel": 123,
  "sandbox": true,
  "weather": [
    {
      "dailyWeather": {
        "date": "2023-12-25",
        "units": "<string>",
        "cloud_cover": {
          "afternoon": 123
        },
        "humidity": {
          "afternoon": 123
        },
        "precipitation": {
          "total": 123
        },
        "temperature": {
          "min": 123,
          "max": 123,
          "afternoon": 123,
          "night": 123,
          "evening": 123,
          "morning": 123
        },
        "pressure": {
          "afternoon": 123
        },
        "wind": {
          "max": {
            "speed": 123,
            "direction": 123
          }
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Add your API key to the Authorization header with this format: 'Bearer your_api_key_here'

Body

application/json
hotelIds
string[]
required

Array of hotel IDs to get rates for. These IDs come from the /hotels/list endpoint.

Required array length: 1 - 200 elements
Example:
["hotel123", "hotel456", "hotel789"]
checkin
string<date>
required

Check-in date (YYYY-MM-DD)

Example:

"2023-12-15"

checkout
string<date>
required

Check-out date (YYYY-MM-DD)

Example:

"2023-12-20"

occupancies
object[]
required

Occupancy details for each room

Example:
[{ "adults": 2, "children": [5, 9] }]
guestNationality
string

Guest nationality in ISO 2-letter country code format

Pattern: ^[A-Z]{2}$
Example:

"US"

maxRatesPerHotel
integer
default:5

Maximum number of rate options to return per hotel

Required range: 1 <= x <= 100
refundableRatesOnly
boolean
default:false

If true, only refundable rates will be included

Response

Successfully retrieved hotel rates

data
object[]
guestLevel
integer

The loyalty level of the guest, affecting pricing and benefits

sandbox
boolean

Indicates if the response is from a sandbox/test environment

weather
object[]

Weather forecast data for the destination